DevToolPal
NL

E-mailadres syntaxcontrole

Controleer de syntaxis van één of veel e-mailadressen, vind veelvoorkomende typfouten in domeinen en verwijder dubbele adressen. Alleen formaatcontrole, geen mailboxcheck.

Draait lokaal, wordt nooit geüpload

Opties

Toon

E-mailadressen (één per regel)

0 tekens · 0 B

Syntaxcontrole

Het resultaat verschijnt hier

Wat het doet

Deze tool controleert of e-mailadressen correct geschreven zijn. Plak één adres of een hele lijst, en elk adres wordt als geldig of ongeldig gemarkeerd met de reden, zoals een ontbrekende @, twee punten achter elkaar, een domein zonder punt of een teken dat niet is toegestaan. Handig om een mailinglijst op te schonen vóór een import, regels voor formulierinvoer te controleren of die ene kapotte rij in een CSV-export te vinden.

Het controleert alleen het formaat. Er wordt geen enkele mailserver benaderd, dus de tool kan niet zeggen of de mailbox bestaat of mail accepteert.

Zo gebruik je het

  1. Plak adressen in het invoerveld, één per regel. Komma’s en puntkomma’s werken ook als scheiding, dus je kunt een Aan:-regel direct plakken.
  2. Resultaten verschijnen terwijl je typt, met een samenvatting van hoeveel adressen geldig en ongeldig zijn.
  3. Gebruik Toon om alle, alleen geldige of alleen ongeldige adressen te tonen. Dubbele verwijderen haalt herhalingen weg; het domein wordt vergeleken zonder op hoofdletters te letten.
  4. Klik op Geldige kopiëren om de schone lijst te kopiëren, één adres per regel.

Weergavenamen worden ook verwerkt: Bob Smith <bob@example.com> wordt gecontroleerd als bob@example.com, met een melding dat de naam is verwijderd.

Wat wordt er gecontroleerd

  • Precies één @ (buiten aanhalingstekens), met iets aan beide kanten.
  • Het hele adres is maximaal 254 tekens en het deel vóór de @ maximaal 64.
  • Het local part gebruikt toegestane tekens, zonder punten aan het begin, aan het eind of dubbel. Local parts tussen aanhalingstekens zoals "john doe"@example.org zijn toegestaan met een waarschuwing.
  • Het domein heeft minstens twee labels, elk 1–63 tekens uit letters, cijfers en koppeltekens, niet beginnend of eindigend met een koppelteken, en een realistisch ogend topleveldomein. IP-literals zoals admin@[192.168.0.1] zijn toegestaan met een waarschuwing.
  • Veelgemaakte typfouten in populaire domeinen, zoals gmial.com of qq.con, krijgen een “bedoelde je”-suggestie.

Voorbeeld

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Veelgestelde vragen

› Controleert dit of de mailbox bestaat?

Nee. Dit is alleen een syntaxcontrole. De mailservers van het domein worden niet opgezocht of benaderd, dus een adres kan hier slagen en toch bouncen. Een mailbox bevestigen vereist een server, en de enige betrouwbare test is het versturen van een bevestigingsmail.

› Worden de adressen geüpload?

Nee. Elke controle draait in je browser, dus je mailinglijsten verlaten je apparaat nooit.

› Welke regels volgt het?

De adressyntaxis uit RFC 5321 en RFC 5322, plus geïnternationaliseerde adressen uit RFC 6531. Verouderde vormen zoals commentaar binnen adressen worden afgewezen, omdat vrijwel geen mailsysteem ze accepteert.

› Waarom krijgt een geldig adres een waarschuwing?

Sommige adressen zijn toegestaan maar riskant: een waarschijnlijke typfout zoals gmial.com, een IP-adres in plaats van een domein, een local part tussen aanhalingstekens of niet-ASCII-tekens die sommige servers weigeren. Het adres telt nog steeds als geldig.